EjbJar.NamingScheme (Apache Ant API)
Date: 2015-06-29

org.apache.tools.ant.taskdefs.optional.ejb

## Class EjbJar.NamingScheme

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.optional.ejb.EjbJar.NamingScheme

- Enclosing class:
    EjbJar

      public static class EjbJar.NamingScheme
      extends EnumeratedAttribute

  An EnumeratedAttribute class for handling different EJB jar naming schemes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BASEJARNAME` Naming scheme where the generated jar is named by the basejarname attribute
    `static java.lang.String` | `DESCRIPTOR` Naming scheme where the generated jar name is based on the name of the deployment descriptor file
    `static java.lang.String` | `DIRECTORY` Naming scheme where the generated jar name is based on the name of the directory containing the deployment descriptor
    `static java.lang.String` | `EJB_NAME` Naming scheme where generated jar is determined from the ejb-name in the deployment descriptor

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EjbJar.NamingScheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getValues()` Gets the values of the NamingScheme

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EJB_NAME

          public static final java.lang.String EJB_NAME

      Naming scheme where generated jar is determined from the ejb-name in the deployment descriptor
      See Also:
        Constant Field Values

    - #### DIRECTORY

          public static final java.lang.String DIRECTORY

      Naming scheme where the generated jar name is based on the name of the directory containing the deployment descriptor
      See Also:
        Constant Field Values

    - #### DESCRIPTOR

          public static final java.lang.String DESCRIPTOR

      Naming scheme where the generated jar name is based on the name of the deployment descriptor file
      See Also:
        Constant Field Values

    - #### BASEJARNAME

          public static final java.lang.String BASEJARNAME

      Naming scheme where the generated jar is named by the basejarname attribute
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EjbJar.NamingScheme

          public EjbJar.NamingScheme()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      Gets the values of the NamingScheme
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array of the values of this attribute class.